Subject: Re: [PATCH 7/16] Early serial debug support for PPC44x

From: David Gibson <[email-masked]>
Date: Thu, 15 Feb 2007 10:05:05 +1100

On Wed, Feb 14, 2007 at 09:41:48AM -0600, Josh Boyer wrote:
> On Wed, 2007-02-14 at 13:08 +1030, Alan Modra wrote:
> > > > 
> > > > I would guess that this isn't a matter of how old the assembler is,
> > > > but how the assembler was built.  If built on a 32-bit host with no
> > > > 64-bit targets supported, then most internal assembler variables
> > > > are 32-bit and 64-bit constants are not handled very well.
> > > > 
> > > > You probably should avoid 64-bit expressions on a 32-bit target.
> > > 
> > > Well, yes, but how.
> > 
> > No idea, but I haven't even looked at the code in question.  I'm just
> > pointing out the toolchain limitation.  It sounds like what you've
> > done requires that people build their binutils with
> > --enable-64-bit-bfd or choose support for an extra 64-bit target,
> > eg. --enable-targets=powerpc64-linux
> 
> Yes, that seems to be the case.  I built a powerpc64 cross toolchain
> this morning and recompiled the kernel.  It worked just fine.
> 
> But I also think we want to avoid requiring that in peoples toolchains.
> I'll see if we can't accomplish what we're trying to do some other way
> without being too ugly.

Ugh.  Yeah, we're going to have to do something.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson